import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import Modele.Joueur;
import Modele.Loto;

public class Controller extends HttpServlet 
{
	private static final long serialVersionUID = 1L;
       
    public Controller() 
    {
        super();
    }

    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException 
    {
    	Loto loto = new Loto();
    	BusinessLogic BL = new BusinessLogic();
    	double[] numbers = BL.generateNumbers(7);
    	double[] numeros = new double[6];
    	for(int i = 1;i<7;i++) numeros[i-1] = Double.parseDouble(request.getParameter("b"+i));
    	loto.setNumerosJoues(numeros);
    	loto.setNumerosGagnants(numbers);
    	loto.setGains(BL.calculateGains(numeros,numbers) * Double.parseDouble(request.getParameter("mise")));
		request.setAttribute("Loto", loto);
		Joueur joueur = new Joueur();
		joueur.setNom(request.getParameter("nom"));
		joueur.setPrenom(request.getParameter("prenom"));
		joueur.setCp(request.getParameter("cp"));
		joueur.setRue(request.getParameter("rue"));
		joueur.setVille(request.getParameter("ville"));
		request.setAttribute("Joueur", joueur);
		RequestDispatcher rd = request.getRequestDispatcher("Vue.jsp");
		rd.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException 
	{
		doGet(request,response);
	}
}
