

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import modele.Random;

/**
 * Servlet implementation class RandomController
 */
public class RandomController extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public RandomController() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String erreur = "";
		String JSPURL = "random.jsp?error=";
		String number = request.getParameter("number");
		if(number.compareTo("") == 0) erreur = "Entrez un nombre max.";
		else JSPURL = "random_view.jsp";

		Random r = new Random();
		r.setLower(0);
		r.setHigher(new Double(number));
		r.random();
		request.setAttribute("random", r);
		RequestDispatcher rd = request.getRequestDispatcher(JSPURL+erreur);
		rd.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
	}

}
