package utilisateur;

import java.io.File;
import java.io.IOException;
import java.util.Iterator;
import java.util.List;

import org.jdom.Document;
import org.jdom.Element;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;

public class Utilisateur {
	private String login;
	private String password;
	
	public Utilisateur() {
		this.setLogin("");
		this.setPassword("");
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public String getLogin() {
		return login;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getPassword() {
		return password;
	}
	
	public boolean connexion(String login, String password) {
		try {
			SAXBuilder sxb = new SAXBuilder();
			Document dom;
			dom = sxb.build(new File("utilisateurs.xml"));
		
		
			// Racine du document
			Element racine = dom.getRootElement();
			List<?> utilisateur = racine.getChildren("utilisateur");
			Iterator<?> i = utilisateur.iterator();
			Element e;
			while(i.hasNext()) {
				e = (Element) i.next();
				if(login.equals(e.getAttributeValue("login")) && password.equals(e.getAttributeValue("password"))) return true;
			}
			return false;
		} catch (JDOMException e) {
			e.printStackTrace();
			return false;
		} catch (IOException e) {
			e.printStackTrace();
			return false;
		}
	}
	
	public static void main(String[] args) {
		Utilisateur u = new Utilisateur();
		System.out.println(u.connexion("toto", "titi"));
		System.out.println(System.getProperty("wtp.deploy"));
	}
}
