package model;

public class EmploiDuTemps {
	
	// Les crneau
	private String[][] creneau;
	
	public EmploiDuTemps() {
		this.creneau = new String[5][21];
	}
	
	// Rcupre le crneau
	public String getCreneau(int jour, int heure) {
		return this.creneau[jour][heure];
	}
	
	// Ajoute un crneau
	public void setCreneau(int jour, int heure, String matiere) {
		this.creneau[jour][heure] = matiere;
	}
	
	// Rcupre les crneaux
	public String[] getCreneau(int jour, int heure_debut, int heure_fin) {
		String[] edt = new String[heure_fin-heure_debut];
		int a = 0;
		for(int i = heure_debut; i < heure_fin; i++) {
			edt[a] = this.creneau[jour][i];
			a++;
		}
		if(heure_fin == 20) edt[a] = this.creneau[jour][heure_fin];
		return edt;
	}
	
	// Ajoute les crneaux
	public void setCreneau(int jour, int heure_debut, int heure_fin, String matiere) {
		for(int i = heure_debut; i < heure_fin; i++) {
			this.creneau[jour][i] = matiere;
		}
		if(heure_fin == 20) this.creneau[jour][heure_fin] = matiere;
	}
	
	// Ajoute tous les crneaux
	public void setCreneau(String[][] creneau) {
		this.creneau = creneau;
	}
	
	// Rcupre tous les crneaux
	public String[][] getCreneau() {
		return creneau;
	}
}
