import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import Modele.Etudiant;

public class Controller extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    public Controller() 
    {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException 
	{
		String erreur = "";
		String JSPURL = "index.jsp?error=";
		String nom = request.getParameter("nom");
		String prenom = request.getParameter("prenom");
		String sexe = request.getParameter("sexe");
		String CP = request.getParameter("CP");
		int CPInt = -1;
		if(nom.compareTo("") == 0)erreur = "Entrez un nom";
		else if(prenom.compareTo("") == 0)erreur = "Entrez un prnom";
		else if(sexe.compareTo("") == 0)erreur = "Entrez un sexe";
		else if(CP.compareTo("") == 0)erreur = "Entrez un code postal";
		else JSPURL = "View.jsp";
		if(CP.compareTo("") != 0)
		{
			try
			{
				CPInt = Integer.parseInt(CP);
			}
			catch(NumberFormatException nfe)
			{
				JSPURL = "index.jsp?error=";
				erreur = "Entrez un code postal valide";
				//response.sendRedirect("index.jsp?error="+erreur);
			}
		}
		Etudiant e = new Etudiant();
		e.nom = nom;
		e.prenom = prenom;
		e.sexe = sexe;
		e.transport = request.getParameterValues("transport");
		e.CP = CPInt;
		
		request.setAttribute("Model", e);
		RequestDispatcher rd = request.getRequestDispatcher(JSPURL+erreur);
		rd.forward(request, response);	
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException 
	{
		doGet(request,response);
	}

}
