import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import modele.Etudiant;

/**
 * Servlet implementation class Traitement
 */
public class Traitement extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public Traitement() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		if(request.getParameter("submit") != null) {
			Etudiant e = new Etudiant();
			e.nom = request.getParameter("nom");
			e.prenom = request.getParameter("prenom");
			e.sexe = request.getParameter("sexe");
			//e.transport = request.getParameterValues("transport");
			e.code_postal = new Integer(request.getParameter("code_postal"));
			
			System.out.print(request.getParameter("transport"));
			
			if(e.nom.equals("")) request.setAttribute("etudiant_nom_erreur", "Pas de nom");
			if(e.prenom.equals("")) request.setAttribute("etudiant_prenom_erreur", "Pas de prnom");
			if(e.sexe.equals("")) request.setAttribute("etudiant_sexe_erreur", "Pas de sexe");
			//if(e.transport.length == 0) request.setAttribute("etudiant_transport_erreur", "Pas de transport");
			if(e.code_postal <= 0 || e.code_postal > 10000) request.setAttribute("etudiant_code_postal_erreur", "Erreur dans le code postal");
			
			// sexe
			if(e.sexe.equals("h")) e.sexe = "Homme";
			else if(e.sexe.equals("f")) e.sexe = "Femme";
			
			request.setAttribute("etudiant_nom", e.nom);
			request.setAttribute("etudiant_prenom", e.prenom);
			request.setAttribute("etudiant_sexe", e.sexe);
			request.setAttribute("etudiant_transport", e.transport);
			request.setAttribute("etudiant_code_postal", e.code_postal);
			
			RequestDispatcher view = request.getRequestDispatcher("resultat.jsp");
			view.forward(request, response);
		}	
	}

}
