package controller;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import model.EmploiDuTemps;

/**
 * Servlet implementation class GO
 */
public class GO extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public GO() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// Les URLs
		String JSPURL = "index.jsp";
		String erreur = "";
		
		// Les variables du formulaire
		int jour = new Integer(request.getParameter("jour"));
		int heure_debut = new Integer(request.getParameter("heure_debut"));
		int heure_fin = new Integer(request.getParameter("heure_fin"));
		String matiere = request.getParameter("matiere");
		
		// On teste si le scope de session edt est vide ou pas
		// Si oui on le cre, sinon on le rcupre
		EmploiDuTemps edt;
		if(request.getSession().getAttribute("edt") == null) {
			System.out.println("edt est null");
			edt = new EmploiDuTemps();
		}
		else {
			System.out.println("edt n'est pas null");
			edt = (EmploiDuTemps)request.getSession().getAttribute("edt");
		}
		
		// On traite les cas d'erreurs
		if(heure_debut >= heure_fin) erreur = "?error=1";
		else if(matiere.equals("") || matiere == null) erreur = "?error=2";
		else edt.setCreneau(jour, heure_debut, heure_fin, matiere);
		
		// On transmet l'URL et la variable de session
		request.getSession().setAttribute("edt", edt);
		response.sendRedirect(JSPURL+erreur);
	}

}
